var panel1 = new Ext.Panel({
  title: 'Standard',
  renderTo : Ext.getBody(),
  width: '100%',
  height: 600,
  title: 'Grid1',
  layout: 'fit',
	autoScroll: true,
  items: [{
	  xtype: 'ec2.MetaGrid',
		store: new Ext.data.Store({
			url: 'griddata.js?func=getRows',
		  autoLoad: true,
			reader: new Ext.data.JsonReader({})
    }),
    colModel: new Ext.grid.ColumnModel({
			defaults: {
				width: 120,
				sortable: true
			},
			columns: [
				{header: 'Product', width: 200, sortable: true, dataIndex: 'PRODID'},
				{header: 'Price', renderer: Ext.util.Format.usMoney, sortable: true, dataIndex: 'PRICE'},
				{header: 'Nanufacturer', sortable: true, dataIndex: 'MANUID'},
				{header: 'Last Updated', width: 135, sortable: true, dataIndex: 'STOCKDATE', xtype: 'datecolumn', format: 'Y-m-d'}
			],
    }),
    viewConfig: {
      forceFit: true,
    },
    sm: new Ext.grid.RowSelectionModel({singleSelect:true}),
    iconCls: 'icon-grid'
	}]
});
      



